﻿/**Begin D:\PDM_UPGRADE\PDM1\HCF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_HWATTACHMENT') 
 CREATE TABLE T_HCF_HWATTACHMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYINTERID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FAUDITTIME DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FAUDITMEN BIGINT DEFAULT 0 NOT NULL,
FCREATEMEN BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFYMEN BIGINT DEFAULT 0 NOT NULL,
FFILEID VARCHAR(500) DEFAULT ' ' NOT NULL,
FALIASFILENAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FATTACHMENTNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTNAME VARCHAR(30) DEFAULT ' ' NOT NULL,
FATTACHMENTSIZE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEMPPAGEID VARCHAR(255) DEFAULT ' ' NOT NULL,
FATTACHMENTPANEL VARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FDOCRELATIVEPATH VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FHWBUSINESSKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERVERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANBANKCARD_L') 
 CREATE TABLE T_HCF_CANBANKCARD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPENBRANCH NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANBANKCARD') 
 CREATE TABLE T_HCF_CANBANKCARD (
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FPROVINCEID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FBANKDEPOSITID BIGINT DEFAULT 0 NOT NULL,
FOPENBRANCHID BIGINT DEFAULT 0 NOT NULL,
FOPENBRANCH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNT VARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANADDRESS_L') 
 CREATE TABLE T_HCF_CANADDRESS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESSINFO NVARCHAR(600) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANADDRESS') 
 CREATE TABLE T_HCF_CANADDRESS (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FADDRESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FADDRESSINFO NVARCHAR(600) DEFAULT ' ' NOT NULL,
FCOUNTRYCODEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANADDRESSHIS_H') 
 CREATE TABLE T_HCF_CANADDRESSHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANADDRESSHIS_L') 
 CREATE TABLE T_HCF_CANADDRESSHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESSINFO NVARCHAR(600) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANADDRESSHIS') 
 CREATE TABLE T_HCF_CANADDRESSHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FADDRESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FADDRESSINFO NVARCHAR(600) DEFAULT ' ' NOT NULL,
FCOUNTRYCODEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FMODIFYTIME DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANOTHERINFO_L') 
 CREATE TABLE T_HCF_CANOTHERINFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANOTHERINFO') 
 CREATE TABLE T_HCF_CANOTHERINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCOMPANY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANOTHERINFOHIS_H') 
 CREATE TABLE T_HCF_CANOTHERINFOHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANOTHERINFOHIS_L') 
 CREATE TABLE T_HCF_CANOTHERINFOHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANOTHERINFOHIS') 
 CREATE TABLE T_HCF_CANOTHERINFOHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCOMPANY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANLGABILITYHIS_L') 
 CREATE TABLE T_HCF_CANLGABILITYHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FWRITESCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLISTENSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSPEAKSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREADSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHERCERTIFICATE NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANLGABILITY_L') 
 CREATE TABLE T_HCF_CANLGABILITY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FWRITESCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLISTENSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSPEAKSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREADSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHERCERTIFICATE NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_ATTACHOPEVENT_L') 
 CREATE TABLE T_HCF_ATTACHOPEVENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_ATTACHOPEVENT') 
 CREATE TABLE T_HCF_ATTACHOPEVENT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSOURCEAPP VARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBOID BIGINT DEFAULT 0 NOT NULL,
FOPERATETYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
FOPERATEDATE DATETIME,
FEVENTCLS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANBASEINFOHIS_H') 
 CREATE TABLE T_HCF_CANBASEINFOHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANBASEINFOHIS_L') 
 CREATE TABLE T_HCF_CANBASEINFOHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSELFEVALUATION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDISPLAYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNATIVENAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNATIVEPLACE NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANBASEINFOHIS') 
 CREATE TABLE T_HCF_CANBASEINFOHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDISPLAYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FNATIVENAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNAMEEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FGENDER BIGINT DEFAULT 0 NOT NULL,
FBIRTHDAY DATETIME,
FFOLKID BIGINT DEFAULT 0 NOT NULL,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FNATIVEPLACE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FMARRIAGESTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHILDRENNUMBER INT DEFAULT 0 NOT NULL,
FPHOTO VARCHAR(255) DEFAULT ' ' NOT NULL,
FHEADSCULPTURE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSELFEVALUATION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FHEIGHT INT DEFAULT 0 NOT NULL,
FBLOODTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FNATIVENAMEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FBEGINSERVICEDATE DATETIME,
FDEATHDATE DATETIME,
FAGE INT DEFAULT 0 NOT NULL,
FAGETWO INT DEFAULT 0 NOT NULL,
FPROCREATSTATUSID BIGINT DEFAULT 0 NOT NULL,
FHEALTHSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCONSTELLATIONID BIGINT DEFAULT 0 NOT NULL,
FSYMBOLICANIMALSID BIGINT DEFAULT 0 NOT NULL,
FFORMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLUNARCALENDARBIRTHDAY DATETIME,
FWORKSENIORITY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSERVICELEN DECIMAL(19,6) DEFAULT 0 NOT NULL,
FENTSERVICELEN DECIMAL(19,6) DEFAULT 0 NOT NULL,
FJULIANBIRTHDAY DATETIME,
FBIRTHPLACE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FISEMPLOYEED CHAR(1) DEFAULT ' ' NOT NULL,
FEMPLOYEETYPE BIGINT DEFAULT 0 NOT NULL,
FDRESUMEID BIGINT DEFAULT 0 NOT NULL,
FBIRTHDAYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANBASEINFO_L') 
 CREATE TABLE T_HCF_CANBASEINFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSELFEVALUATION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDISPLAYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNATIVENAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNATIVEPLACE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FHIGHESTSPECIALTY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRECENTCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRECENTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTORG NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANBASEINFO') 
 CREATE TABLE T_HCF_CANBASEINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDISPLAYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FNATIVENAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNAMEEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FGENDER BIGINT DEFAULT 0 NOT NULL,
FBIRTHDAY DATETIME,
FFOLKID BIGINT DEFAULT 0 NOT NULL,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FNATIVEPLACE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FMARRIAGESTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHILDRENNUMBER INT DEFAULT 0 NOT NULL,
FPHOTO VARCHAR(255) DEFAULT ' ' NOT NULL,
FHEADSCULPTURE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSELFEVALUATION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FHEIGHT INT DEFAULT 0 NOT NULL,
FBLOODTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FNATIVENAMEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FBEGINSERVICEDATE DATETIME,
FDEATHDATE DATETIME,
FAGE INT DEFAULT 0 NOT NULL,
FAGETWO INT DEFAULT 0 NOT NULL,
FPROCREATSTATUSID BIGINT DEFAULT 0 NOT NULL,
FHEALTHSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCONSTELLATIONID BIGINT DEFAULT 0 NOT NULL,
FSYMBOLICANIMALSID BIGINT DEFAULT 0 NOT NULL,
FFORMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLUNARCALENDARBIRTHDAY DATETIME,
FSERVICELEN DECIMAL(19,6) DEFAULT 0 NOT NULL,
FWORKSENIORITY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FENTSERVICELEN DECIMAL(19,6) DEFAULT 0 NOT NULL,
FJULIANBIRTHDAY DATETIME,
FBIRTHDAYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FISEMPLOYEED CHAR(1) DEFAULT ' ' NOT NULL,
FEMPLOYEETYPE BIGINT DEFAULT 0 NOT NULL,
FDRESUMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCREHIS_H') 
 CREATE TABLE T_HCF_CANCREHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCREHIS_L') 
 CREATE TABLE T_HCF_CANCREHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FIDCARDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLASTNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFIRSTNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FPERCARDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARDLOCATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGIONID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGIONMUL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITYMUL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCREHIS') 
 CREATE TABLE T_HCF_CANCREHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATETYPEID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER_ENP NCLOB,
FISSUEDATE DATETIME,
FEXPIRATIONDATE DATETIME,
FLASTNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFIRSTNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FLASTNAMEEN VARCHAR(150) DEFAULT ' ' NOT NULL,
FFIRSTNAMEEN VARCHAR(150) DEFAULT ' ' NOT NULL,
FISMAJOR CHAR(1) DEFAULT '0' NOT NULL,
FISIDENTITY CHAR(1) DEFAULT '0' NOT NULL,
FPERCARDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGENDER BIGINT DEFAULT 0 NOT NULL,
FBIRTHDATE DATETIME,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FCARDLOCATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGIONID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGIONEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITYEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FREGIONMUL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITYMUL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFACEIMAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FREVERSEIMAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISPERMANENT CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FIDCARDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNATIONID BIGINT DEFAULT 0 NOT NULL,
FBIRTHPLACE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCERTIFICATECATEGORYID BIGINT DEFAULT 0 NOT NULL,
FISNOFIXEDTERM CHAR(1) DEFAULT '0' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCRE_L') 
 CREATE TABLE T_HCF_CANCRE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FIDCARDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLASTNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFIRSTNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FPERCARDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCARDLOCATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGIONID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGIONMUL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITYMUL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCRE') 
 CREATE TABLE T_HCF_CANCRE (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATETYPEID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER_ENP NCLOB,
FISSUEDATE DATETIME,
FEXPIRATIONDATE DATETIME,
FLASTNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFIRSTNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FLASTNAMEEN VARCHAR(150) DEFAULT ' ' NOT NULL,
FFIRSTNAMEEN VARCHAR(150) DEFAULT ' ' NOT NULL,
FISMAJOR CHAR(1) DEFAULT '0' NOT NULL,
FISIDENTITY CHAR(1) DEFAULT '0' NOT NULL,
FPERCARDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGENDER BIGINT DEFAULT 0 NOT NULL,
FBIRTHDATE DATETIME,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FCARDLOCATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGIONID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGIONEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITYEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FREGIONMUL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITYMUL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFACEIMAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FREVERSEIMAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISPERMANENT CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FIDCARDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNATIONID BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATECATEGORYID BIGINT DEFAULT 0 NOT NULL,
FISNOFIXEDTERM CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANOCPQUAL_L') 
 CREATE TABLE T_HCF_CANOCPQUAL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGISTRATIONUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FGRANTUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANOCPQUAL') 
 CREATE TABLE T_HCF_CANOCPQUAL (
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATENUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FEFFECTIVETIME DATETIME,
FGETTIME DATETIME,
FISSUEDNATIONID BIGINT DEFAULT 0 NOT NULL,
FGRANTUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FQUALIFICATIONID BIGINT DEFAULT 0 NOT NULL,
FQUALEVELID BIGINT DEFAULT 0 NOT NULL,
FREGISTRATEDATE DATETIME,
FISMAJOR CHAR(1) DEFAULT '0' NOT NULL,
FENDDATE DATETIME,
FISLONGTIME CHAR(1) DEFAULT '0' NOT NULL,
FREGISTRATIONUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISOFFERPROVIDED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANLGABILITY') 
 CREATE TABLE T_HCF_CANLGABILITY (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FLANGUAGEID BIGINT DEFAULT 0 NOT NULL,
FISOFFERPROVIDED CHAR(1) DEFAULT '0' NOT NULL,
FISWORKINGLANGUAGE CHAR(1) DEFAULT '0' NOT NULL,
FOTHERCERTIFICATE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCERTIFICATEID BIGINT DEFAULT 0 NOT NULL,
FSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSIGNOFFTIME DATETIME,
FWRITESCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLISTENSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSPEAKSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREADSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FLISTEN BIGINT DEFAULT 0 NOT NULL,
FSPEAK BIGINT DEFAULT 0 NOT NULL,
FREAD BIGINT DEFAULT 0 NOT NULL,
FWRITE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANLGABILITYHIS_H') 
 CREATE TABLE T_HCF_CANLGABILITYHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANLGABILITYHIS') 
 CREATE TABLE T_HCF_CANLGABILITYHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FLANGUAGEID BIGINT DEFAULT 0 NOT NULL,
FISOFFERPROVIDED CHAR(1) DEFAULT '0' NOT NULL,
FISWORKINGLANGUAGE CHAR(1) DEFAULT '0' NOT NULL,
FOTHERCERTIFICATE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCERTIFICATEID BIGINT DEFAULT 0 NOT NULL,
FSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSIGNOFFTIME DATETIME,
FWRITESCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLISTENSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSPEAKSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREADSCORE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FLISTEN BIGINT DEFAULT 0 NOT NULL,
FSPEAK BIGINT DEFAULT 0 NOT NULL,
FREAD BIGINT DEFAULT 0 NOT NULL,
FWRITE BIGINT DEFAULT 0 NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPROJECTEXP_L') 
 CREATE TABLE T_HCF_CANPROJECTEXP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FROLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERFORMANCE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLIENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFIER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEXPERIENCE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBELONGSCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTRESP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTPERF NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTJOB NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPROJECTEXP') 
 CREATE TABLE T_HCF_CANPROJECTEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FROLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERFORMANCE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTTIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FEXPERIENCE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMPANYNATUREID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYID BIGINT DEFAULT 0 NOT NULL,
FPROJECTSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FISENTERPRISEPRO CHAR(1) DEFAULT '0' NOT NULL,
FCERTIFIERPHONE VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTTIMEUNITID BIGINT DEFAULT 0 NOT NULL,
FCLIENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFIER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBELONGSCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTRESP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTPERF NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FPROJECTJOB NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPROJECTEXPHIS_H') 
 CREATE TABLE T_HCF_CANPROJECTEXPHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPROJECTEXPHIS_L') 
 CREATE TABLE T_HCF_CANPROJECTEXPHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FROLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERFORMANCE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLIENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFIER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEXPERIENCE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBELONGSCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTRESP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTPERF NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTJOB NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPROJECTEXPHIS') 
 CREATE TABLE T_HCF_CANPROJECTEXPHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FROLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERFORMANCE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPROJECTTIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FEXPERIENCE CHAR(1) DEFAULT '0' NOT NULL,
FCOMPANYNATUREID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYID BIGINT DEFAULT 0 NOT NULL,
FPROJECTSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FISENTERPRISEPRO CHAR(1) DEFAULT '0' NOT NULL,
FCERTIFIERPHONE VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTTIMEUNITID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIFIER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCLIENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBELONGSCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTRESP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTPERF NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPREWORK_L') 
 CREATE TABLE T_HCF_CANPREWORK_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FUNITNAME NVARCHAR(240) DEFAULT ' ' NOT NULL,
FPOSITIONTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(240) DEFAULT ' ' NOT NULL,
FREPORTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREPORTPERSON NVARCHAR(240) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKACHIEVEMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWORKPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKCITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPREWORK') 
 CREATE TABLE T_HCF_CANPREWORK (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXITDATE DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FLENGTH INT DEFAULT 0 NOT NULL,
FTENURETIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTENURETIMEUNITID BIGINT DEFAULT 0 NOT NULL,
FTRADEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FSUBORDINATES INT DEFAULT 0 NOT NULL,
FISABROADBACKGROUND CHAR(1) DEFAULT '0' NOT NULL,
FWITNESSPHONE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FUNITNAME NVARCHAR(240) DEFAULT ' ' NOT NULL,
FREPORTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITIONTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(240) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPORTPERSON NVARCHAR(240) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANNUALSALARY INT DEFAULT 0 NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
FWORKACHIEVEMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWORKPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKCITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMPANYSIZEID BIGINT DEFAULT 0 NOT NULL,
FWORKDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPREWORKHIS_H') 
 CREATE TABLE T_HCF_CANPREWORKHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPREWORKHIS_L') 
 CREATE TABLE T_HCF_CANPREWORKHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FUNITNAME NVARCHAR(240) DEFAULT ' ' NOT NULL,
FPOSITIONTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(240) DEFAULT ' ' NOT NULL,
FREPORTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREPORTPERSON NVARCHAR(240) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKACHIEVEMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWORKPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKCITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPREWORKHIS') 
 CREATE TABLE T_HCF_CANPREWORKHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXITDATE DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FLENGTH INT DEFAULT 0 NOT NULL,
FTENURETIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTENURETIMEUNITID BIGINT DEFAULT 0 NOT NULL,
FTENURETIMEUNIT VARCHAR(2) DEFAULT ' ' NOT NULL,
FTRADEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FSUBORDINATES INT DEFAULT 0 NOT NULL,
FISABROADBACKGROUND CHAR(1) DEFAULT '0' NOT NULL,
FWITNESSPHONE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FUNITNAME NVARCHAR(240) DEFAULT ' ' NOT NULL,
FPOSITIONTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(240) DEFAULT ' ' NOT NULL,
FREPORTPERSON NVARCHAR(240) DEFAULT ' ' NOT NULL,
FREPORTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FANNUALSALARY INT DEFAULT 0 NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
FWORKACHIEVEMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWORKPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKCITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMPANYSIZEID BIGINT DEFAULT 0 NOT NULL,
FWORKDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANTRAINING_L') 
 CREATE TABLE T_HCF_CANTRAINING_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOURSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINSTITUTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTRAININGDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFICATENO NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANTRAINING') 
 CREATE TABLE T_HCF_CANTRAINING (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOURSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINSTITUTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FTRAINMODEID BIGINT DEFAULT 0 NOT NULL,
FTRAINLENGTH DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTRAINLENGTHUNITID BIGINT DEFAULT 0 NOT NULL,
FTRAININGDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFICATENO NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANTRAININGHIS_H') 
 CREATE TABLE T_HCF_CANTRAININGHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANTRAININGHIS_L') 
 CREATE TABLE T_HCF_CANTRAININGHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOURSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINSTITUTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTRAININGDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFICATENO NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANTRAININGHIS') 
 CREATE TABLE T_HCF_CANTRAININGHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOURSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINSTITUTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FTRAINMODEID BIGINT DEFAULT 0 NOT NULL,
FTRAINLENGTH DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTRAINLENGTHUNITID BIGINT DEFAULT 0 NOT NULL,
FTRAININGDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFICATENO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCONTACTINFO_L') 
 CREATE TABLE T_HCF_CANCONTACTINFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMUADDRESS NVARCHAR(600) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCONTACTINFO') 
 CREATE TABLE T_HCF_CANCONTACTINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(60) DEFAULT ' ' NOT NULL,
FPEREMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMUCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCOMMUADDRESS NVARCHAR(600) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FOTHERPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTELEPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSTCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FWECHAT VARCHAR(100) DEFAULT ' ' NOT NULL,
FQQ VARCHAR(100) DEFAULT ' ' NOT NULL,
FBLOG VARCHAR(100) DEFAULT ' ' NOT NULL,
FFACEBOOK VARCHAR(100) DEFAULT ' ' NOT NULL,
FWHATSAPP VARCHAR(100) DEFAULT ' ' NOT NULL,
FSKYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FLINKIN VARCHAR(100) DEFAULT ' ' NOT NULL,
FTWITTER VARCHAR(100) DEFAULT ' ' NOT NULL,
FGOOGLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FYUNZHIJIA VARCHAR(100) DEFAULT ' ' NOT NULL,
FFAX VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCONTACTINFOHIS_H') 
 CREATE TABLE T_HCF_CANCONTACTINFOHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCONTACTINFOHIS_L') 
 CREATE TABLE T_HCF_CANCONTACTINFOHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMUADDRESS NVARCHAR(600) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCONTACTINFOHIS') 
 CREATE TABLE T_HCF_CANCONTACTINFOHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(60) DEFAULT ' ' NOT NULL,
FPEREMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMUCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCOMMUADDRESS NVARCHAR(600) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FOTHERPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTELEPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSTCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FWECHAT VARCHAR(100) DEFAULT ' ' NOT NULL,
FQQ VARCHAR(100) DEFAULT ' ' NOT NULL,
FBLOG VARCHAR(100) DEFAULT ' ' NOT NULL,
FFACEBOOK VARCHAR(100) DEFAULT ' ' NOT NULL,
FWHATSAPP VARCHAR(100) DEFAULT ' ' NOT NULL,
FSKYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FLINKIN VARCHAR(100) DEFAULT ' ' NOT NULL,
FTWITTER VARCHAR(100) DEFAULT ' ' NOT NULL,
FGOOGLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FYUNZHIJIA VARCHAR(100) DEFAULT ' ' NOT NULL,
FFAX VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCONTACT_L') 
 CREATE TABLE T_HCF_CANCONTACT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEMRGNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FEMRGADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCONTACT') 
 CREATE TABLE T_HCF_CANCONTACT (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FEMRGNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FEMRGRELATIONID BIGINT DEFAULT 0 NOT NULL,
FEMRGPHONE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FEMRGADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCONTACTHIS_H') 
 CREATE TABLE T_HCF_CANCONTACTHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCONTACTHIS_L') 
 CREATE TABLE T_HCF_CANCONTACTHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEMRGNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FEMRGADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANCONTACTHIS') 
 CREATE TABLE T_HCF_CANCONTACTHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FEMRGNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FEMRGRELATIONID BIGINT DEFAULT 0 NOT NULL,
FEMRGPHONE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FEMRGADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANFAMILY_L') 
 CREATE TABLE T_HCF_CANFAMILY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FWORKUNIT NVARCHAR(150) DEFAULT ' ' NOT NULL,
FCONTACTADDR NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANEDUEXPHIS_L') 
 CREATE TABLE T_HCF_CANEDUEXPHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSCHOOLRECORD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSECONDMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFACULTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTUTORNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMAKEUPCOUR NVARCHAR(600) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANEDUEXPHIS_H') 
 CREATE TABLE T_HCF_CANEDUEXPHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANEDUEXPHIS') 
 CREATE TABLE T_HCF_CANEDUEXPHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCOLLEGECOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FGRADUATESCHOOLID BIGINT DEFAULT 0 NOT NULL,
FSCHOOLRECORD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FDEGREEID BIGINT DEFAULT 0 NOT NULL,
FMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSECONDMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADMISSIONDATE DATETIME,
FGRADUTIONDATE DATETIME,
FISFULLTIME CHAR(1) DEFAULT '0' NOT NULL,
FISHIGHESTDEGREE CHAR(1) DEFAULT '0' NOT NULL,
FISSECONDDEGREE CHAR(1) DEFAULT '0' NOT NULL,
FISOFFERPROVIDED CHAR(1) DEFAULT '0' NOT NULL,
FISFOREIGNSTUDENT CHAR(1) DEFAULT '0' NOT NULL,
FFACULTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSCHOOLSYSTEM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEDUNATUREID BIGINT DEFAULT 0 NOT NULL,
FAUTHEDEGREEID BIGINT DEFAULT 0 NOT NULL,
FISOVERSEASEXP CHAR(1) DEFAULT ' ' NOT NULL,
FTUTORNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCLASSRANK INT DEFAULT 0 NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSPECIALISTRANK INT DEFAULT 0 NOT NULL,
FGRADEPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISHASMAKEUPCOUR CHAR(1) DEFAULT ' ' NOT NULL,
FMAKEUPCOUR NVARCHAR(600) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANEDUEXP_L') 
 CREATE TABLE T_HCF_CANEDUEXP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSCHOOLRECORD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSECONDMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFACULTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTUTORNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMAKEUPCOUR NVARCHAR(600) DEFAULT ' ' NOT NULL,
FSPECIALTYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANEDUEXP') 
 CREATE TABLE T_HCF_CANEDUEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCOLLEGECOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FGRADUATESCHOOLID BIGINT DEFAULT 0 NOT NULL,
FSCHOOLRECORD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEGREEID BIGINT DEFAULT 0 NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSECONDMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADMISSIONDATE DATETIME,
FGRADUTIONDATE DATETIME,
FISSECONDDEGREE CHAR(1) DEFAULT '0' NOT NULL,
FISFULLTIME CHAR(1) DEFAULT '0' NOT NULL,
FISHIGHESTDEGREE CHAR(1) DEFAULT '0' NOT NULL,
FISOFFERPROVIDED CHAR(1) DEFAULT '0' NOT NULL,
FISFOREIGNSTUDENT CHAR(1) DEFAULT '0' NOT NULL,
FFACULTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSCHOOLSYSTEM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEDUNATUREID BIGINT DEFAULT 0 NOT NULL,
FAUTHEDEGREEID BIGINT DEFAULT 0 NOT NULL,
FISOVERSEASEXP CHAR(1) DEFAULT ' ' NOT NULL,
FTUTORNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCLASSRANK INT DEFAULT 0 NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSPECIALISTRANK INT DEFAULT 0 NOT NULL,
FGRADEPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISHASMAKEUPCOUR CHAR(1) DEFAULT ' ' NOT NULL,
FMAKEUPCOUR NVARCHAR(600) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANFAMILY') 
 CREATE TABLE T_HCF_CANFAMILY (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFAMILYMEMBSHIPID BIGINT DEFAULT 0 NOT NULL,
FWORKUNIT NVARCHAR(150) DEFAULT ' ' NOT NULL,
FMOBILEPHONE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCONTACTADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANFAMILYHIS_H') 
 CREATE TABLE T_HCF_CANFAMILYHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANFAMILYHIS_L') 
 CREATE TABLE T_HCF_CANFAMILYHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FWORKUNIT NVARCHAR(150) DEFAULT ' ' NOT NULL,
FCONTACTADDR NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANFAMILYHIS') 
 CREATE TABLE T_HCF_CANFAMILYHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFAMILYMEMBSHIPID BIGINT DEFAULT 0 NOT NULL,
FWORKUNIT NVARCHAR(150) DEFAULT ' ' NOT NULL,
FMOBILEPHONE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCONTACTADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANDIDATEHIS_H') 
 CREATE TABLE T_HCF_CANDIDATEHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANDIDATEHIS_L') 
 CREATE TABLE T_HCF_CANDIDATEHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANDIDATEHIS') 
 CREATE TABLE T_HCF_CANDIDATEHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENTRYNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANDIDATE_L') 
 CREATE TABLE T_HCF_CANDIDATE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANDIDATE') 
 CREATE TABLE T_HCF_CANDIDATE (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FENTRYNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANEDUEXP_A') 
 CREATE TABLE T_HCF_CANEDUEXP_A (
FID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FLENGTHOFSTUDY INT DEFAULT 0 NOT NULL,
FSPECIALTYCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FEDUCATIONFORMID BIGINT DEFAULT 0 NOT NULL,
FISDBLDEGREESPECIALTY CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANFAMILY_A') 
 CREATE TABLE T_HCF_CANFAMILY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FISOURSTAFF CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPREWORK_A') 
 CREATE TABLE T_HCF_CANPREWORK_A (
FID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FISRECWORK CHAR(1) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_BUSINESS') 
 CREATE TABLE T_HCF_BUSINESS (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBELONGSCOMPANY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBELONGSDEPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBELONGSPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISCOMPAGRRESTR CHAR(1) DEFAULT ' ' NOT NULL,
FISCRIMRECD CHAR(1) DEFAULT ' ' NOT NULL,
FISBUSCONFINTR CHAR(1) DEFAULT ' ' NOT NULL,
FLEGALPERSON CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMHOBBY') 
 CREATE TABLE T_HCF_RSMHOBBY (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FHOBBIES NVARCHAR(1500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMPROSKL') 
 CREATE TABLE T_HCF_RSMPROSKL (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSKILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FUSEDURATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMASTERYID BIGINT DEFAULT 0 NOT NULL,
FSKILLDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMAWRHON') 
 CREATE TABLE T_HCF_RSMAWRHON (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FAWARDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAWARDDATE DATETIME,
FAWARDINGUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAWARDDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMPATINV') 
 CREATE TABLE T_HCF_RSMPATINV (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPATENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPATENTCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FINVENTOR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPLICATIONDATE DATETIME,
FPTSTARTDATE DATETIME,
FPTENDINGDATE DATETIME,
FCOUNTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPATENTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FPATENTSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPATENTURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FPATENTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMVOLEXP') 
 CREATE TABLE T_HCF_RSMVOLEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FVOLEXP NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMSCHJOB') 
 CREATE TABLE T_HCF_RSMSCHJOB (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRESPACHV NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMINTEREXP') 
 CREATE TABLE T_HCF_RSMINTEREXP (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDINGDATE DATETIME,
FWORKUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINTERNRESP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWITNESSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMACDACHV') 
 CREATE TABLE T_HCF_RSMACDACHV (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPAPERTITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREFERENCECOUNT INT DEFAULT 0 NOT NULL,
FAFLTJOURNAL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOURNALABBR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOURNALGRADEID BIGINT DEFAULT 0 NOT NULL,
FJOURNALCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FRSCHDIREC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOAUTHOR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPUBDATE DATETIME,
FTUTOR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTUTORPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKSURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FWORKSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_PERSONALAREA') 
 CREATE TABLE T_HCF_PERSONALAREA (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FRGSTPRMTRSDID VARCHAR(50) DEFAULT ' ' NOT NULL,
FHOUSEHOLD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOLITICSSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPARTYIDENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARTDATE DATETIME,
FRELIGION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNATIVEPLACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_BUSINESSHIS') 
 CREATE TABLE T_HCF_BUSINESSHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBELONGSCOMPANY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBELONGSDEPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBELONGSPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISCOMPAGRRESTR CHAR(1) DEFAULT ' ' NOT NULL,
FISCRIMRECD CHAR(1) DEFAULT ' ' NOT NULL,
FISBUSCONFINTR CHAR(1) DEFAULT ' ' NOT NULL,
FLEGALPERSON CHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_BUSINESSHIS_H') 
 CREATE TABLE T_HCF_BUSINESSHIS_H (
FVID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBREDT BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBRLED DATETIME,
FBRLEDT BIGINT DEFAULT 0 NOT NULL,
FBSLED DATETIME,
FCEID BIGINT DEFAULT 0 NOT NULL,
FCEDT DATETIME,
FLMEID BIGINT DEFAULT 0 NOT NULL,
FLMEDT DATETIME,
FEEID BIGINT DEFAULT 0 NOT NULL,
FEEDT DATETIME,
FLEEID BIGINT DEFAULT 0 NOT NULL,
FLEEDT DATETIME,
FDEID BIGINT DEFAULT 0 NOT NULL,
FDEDT DATETIME,
FLDEID BIGINT DEFAULT 0 NOT NULL,
FLDEDT DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FISNEWBO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_BUSINESS_L') 
 CREATE TABLE T_HCF_BUSINESS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBELONGSCOMPANY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBELONGSDEPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBELONGSPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_BUSINESSHIS_L') 
 CREATE TABLE T_HCF_BUSINESSHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBELONGSCOMPANY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBELONGSDEPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBELONGSPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_EDUCERTIFICATE') 
 CREATE TABLE T_HCF_EDUCERTIFICATE (
FID BIGINT DEFAULT 0 NOT NULL,
FEDUID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCERTTYPE BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FCERTSTATUS BIGINT DEFAULT 0 NOT NULL,
FGETTIME DATETIME,
FISCERTIFICATION CHAR(1) DEFAULT ' ' NOT NULL,
FCERTNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_PERSONALAREA_L') 
 CREATE TABLE T_HCF_PERSONALAREA_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FHOUSEHOLD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARTYIDENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELIGION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMACDACHV_L') 
 CREATE TABLE T_HCF_RSMACDACHV_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FHOUSEHOLD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARTYIDENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELIGION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMSCHJOB_L') 
 CREATE TABLE T_HCF_RSMSCHJOB_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRESPACHV NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMAWRHON_L') 
 CREATE TABLE T_HCF_RSMAWRHON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FAWARDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAWARDINGUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAWARDDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMHOBBY_L') 
 CREATE TABLE T_HCF_RSMHOBBY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FHOBBIES NVARCHAR(1500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMINTEREXP_L') 
 CREATE TABLE T_HCF_RSMINTEREXP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FWORKUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINTERNRESP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWITNESSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESSUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMPATINV_L') 
 CREATE TABLE T_HCF_RSMPATINV_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPATENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPATENTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINVENTOR NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMPROSKL_L') 
 CREATE TABLE T_HCF_RSMPROSKL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSKILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FUSEDURATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSKILLDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_RSMVOLEXP_L') 
 CREATE TABLE T_HCF_RSMVOLEXP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FVOLEXP NVARCHAR(1500) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HCF_table.sql **/
