IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANBANKCARD_L') 
 CREATE TABLE T_HCF_CANBANKCARD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPENBRANCH NVARCHAR(255) DEFAULT ' ' NOT NULL
);

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANBANKCARD') 
 CREATE TABLE T_HCF_CANBANKCARD (
FID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FPROVINCEID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FBANKDEPOSITID BIGINT DEFAULT 0 NOT NULL,
FOPENBRANCHID BIGINT DEFAULT 0 NOT NULL,
FOPENBRANCH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNT VARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPREWORK_L') 
 CREATE TABLE T_HCF_CANPREWORK_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FUNITNAME NVARCHAR(240) DEFAULT ' ' NOT NULL,
FPOSITIONTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(240) DEFAULT ' ' NOT NULL,
FREPORTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREPORTPERSON NVARCHAR(240) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKACHIEVEMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWORKPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKCITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANPREWORK') 
 CREATE TABLE T_HCF_CANPREWORK (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXITDATE DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FLENGTH INT DEFAULT 0 NOT NULL,
FTENURETIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTENURETIMEUNITID BIGINT DEFAULT 0 NOT NULL,
FTRADEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FSUBORDINATES INT DEFAULT 0 NOT NULL,
FISABROADBACKGROUND CHAR(1) DEFAULT '0' NOT NULL,
FWITNESSPHONE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FUNITNAME NVARCHAR(240) DEFAULT ' ' NOT NULL,
FREPORTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITIONTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(240) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPORTPERSON NVARCHAR(240) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANNUALSALARY INT DEFAULT 0 NOT NULL,
FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
FWORKACHIEVEMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWORKPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKCITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMPANYSIZEID BIGINT DEFAULT 0 NOT NULL,
FWORKDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL
);

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANTRAINING_L') 
 CREATE TABLE T_HCF_CANTRAINING_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOURSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINSTITUTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTRAININGDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFICATENO NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCF_CANTRAINING') 
 CREATE TABLE T_HCF_CANTRAINING (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOURSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINSTITUTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FTRAINMODEID BIGINT DEFAULT 0 NOT NULL,
FTRAINLENGTH DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTRAINLENGTHUNITID BIGINT DEFAULT 0 NOT NULL,
FTRAININGDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFICATENO NVARCHAR(100) DEFAULT ' ' NOT NULL
);
