﻿/**Begin D:\PDM_UPGRADE\PDM1\HCF_constraint.sql **/
 EXEC P_ALTERPK 'PK_HCF_HWATTACHMENT', 'T_HCF_HWATTACHMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_HWATTACHMENT_INTER') CREATE INDEX IDX_HCF_HWATTACHMENT_INTER ON T_HCF_HWATTACHMENT ( FINTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_HWATTACHMENT_NUM') CREATE INDEX IDX_HCF_HWATTACHMENT_NUM ON T_HCF_HWATTACHMENT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_HWATTACHMENT') CREATE INDEX IDX_HCF_HWATTACHMENT ON T_HCF_HWATTACHMENT ( FBILLTYPE ,FINTERID ,FATTACHMENTPANEL );


 EXEC P_ALTERPK 'PK_HCF_CANBANKCARD_L', 'T_HCF_CANBANKCARD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANBANKCARD_L') CREATE INDEX IDX_HCF_CANBANKCARD_L ON T_HCF_CANBANKCARD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANBANKCARD', 'T_HCF_CANBANKCARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANBANKCARD_FID') CREATE INDEX IDX_HCF_CANBANKCARD_FID ON T_HCF_CANBANKCARD ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANADDRESS_L', 'T_HCF_CANADDRESS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANADDRESS_L') CREATE INDEX IDX_HCF_CANADDRESS_L ON T_HCF_CANADDRESS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANADDRESS', 'T_HCF_CANADDRESS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANADDRESS_FCANID') CREATE INDEX IDX_HCF_CANADDRESS_FCANID ON T_HCF_CANADDRESS ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANADDRESSHIS_H', 'T_HCF_CANADDRESSHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANADDRESSHIS_H') CREATE INDEX IDX_HCF_CANADDRESSHIS_H ON T_HCF_CANADDRESSHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANADDRESSHIS_L', 'T_HCF_CANADDRESSHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANADDRESSHIS_L') CREATE INDEX IDX_HCF_CANADDRESSHIS_L ON T_HCF_CANADDRESSHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANADDRESSHIS', 'T_HCF_CANADDRESSHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANADDRESSHIS_FID') CREATE INDEX IDX_HCF_CANADDRESSHIS_FID ON T_HCF_CANADDRESSHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANOTHERINFO_L', 'T_HCF_CANOTHERINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANOTHERINFO_L') CREATE INDEX IDX_HCF_CANOTHERINFO_L ON T_HCF_CANOTHERINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANOTHERINFO', 'T_HCF_CANOTHERINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANOTHERINFO_FID') CREATE INDEX IDX_HCF_CANOTHERINFO_FID ON T_HCF_CANOTHERINFO ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANOTHERINFOHIS_H', 'T_HCF_CANOTHERINFOHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANOTHERINFOHIS_H') CREATE INDEX IDX_HCF_CANOTHERINFOHIS_H ON T_HCF_CANOTHERINFOHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANOTHERINFOHIS_L', 'T_HCF_CANOTHERINFOHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANOTHERINFOHIS_L') CREATE INDEX IDX_HCF_CANOTHERINFOHIS_L ON T_HCF_CANOTHERINFOHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANOTHERINFOHIS', 'T_HCF_CANOTHERINFOHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANOTHERINFOHIS_FID') CREATE INDEX IDX_HCF_CANOTHERINFOHIS_FID ON T_HCF_CANOTHERINFOHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANLGABILITYHIS_L', 'T_HCF_CANLGABILITYHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANLGABILITYHIS_L') CREATE INDEX IDX_HCF_CANLGABILITYHIS_L ON T_HCF_CANLGABILITYHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANLGABILITY_L', 'T_HCF_CANLGABILITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANLGABILITY_L') CREATE INDEX IDX_HCF_CANLGABILITY_L ON T_HCF_CANLGABILITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_ATTACHOPEVENT_L', 'T_HCF_ATTACHOPEVENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_ATTACHOPEVENT_L') CREATE INDEX IDX_HCF_ATTACHOPEVENT_L ON T_HCF_ATTACHOPEVENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_ATTACHOPEVENT', 'T_HCF_ATTACHOPEVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_ATTACHOPEVENT_FSID') CREATE INDEX IDX_HCF_ATTACHOPEVENT_FSID ON T_HCF_ATTACHOPEVENT ( FSOURCEBOID );


 EXEC P_ALTERPK 'PK_HCF_CANBASEINFOHIS_H', 'T_HCF_CANBASEINFOHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANBASEINFOHIS_H') CREATE INDEX IDX_HCF_CANBASEINFOHIS_H ON T_HCF_CANBASEINFOHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANBASEINFOHIS_L', 'T_HCF_CANBASEINFOHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANBASEINFOHIS_L') CREATE INDEX IDX_HCF_CANBASEINFOHIS_L ON T_HCF_CANBASEINFOHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANBASEINFOHIS', 'T_HCF_CANBASEINFOHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANBASEINFOHIS_FID') CREATE INDEX IDX_HCF_CANBASEINFOHIS_FID ON T_HCF_CANBASEINFOHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANBASEINFO_L', 'T_HCF_CANBASEINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANBASEINFO_L') CREATE INDEX IDX_HCF_CANBASEINFO_L ON T_HCF_CANBASEINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANBASEINFO', 'T_HCF_CANBASEINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANBASEINFO_FID') CREATE INDEX IDX_HCF_CANBASEINFO_FID ON T_HCF_CANBASEINFO ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANCREHIS_H', 'T_HCF_CANCREHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCREHIS_H') CREATE INDEX IDX_HCF_CANCREHIS_H ON T_HCF_CANCREHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANCREHIS_L', 'T_HCF_CANCREHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCREHIS_L') CREATE INDEX IDX_HCF_CANCREHIS_L ON T_HCF_CANCREHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANCREHIS', 'T_HCF_CANCREHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCREHIS_FID') CREATE INDEX IDX_HCF_CANCREHIS_FID ON T_HCF_CANCREHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANCRE_L', 'T_HCF_CANCRE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCRE_L') CREATE INDEX IDX_HCF_CANCRE_L ON T_HCF_CANCRE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANCRE', 'T_HCF_CANCRE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCRE_PER') CREATE INDEX IDX_HCF_CANCRE_PER ON T_HCF_CANCRE ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANOCPQUAL_L', 'T_HCF_CANOCPQUAL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANOCPQUAL_L') CREATE INDEX IDX_HCF_CANOCPQUAL_L ON T_HCF_CANOCPQUAL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANOCPQUAL', 'T_HCF_CANOCPQUAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANOCPQUAL_FID') CREATE INDEX IDX_HCF_CANOCPQUAL_FID ON T_HCF_CANOCPQUAL ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANLGABILITY', 'T_HCF_CANLGABILITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANLGABILITY_FID') CREATE INDEX IDX_HCF_CANLGABILITY_FID ON T_HCF_CANLGABILITY ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANLGABILITYHIS_H', 'T_HCF_CANLGABILITYHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANLGABILITYHIS_H') CREATE INDEX IDX_HCF_CANLGABILITYHIS_H ON T_HCF_CANLGABILITYHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANLGABILITYHIS', 'T_HCF_CANLGABILITYHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANLGABILITYHIS_FID') CREATE INDEX IDX_HCF_CANLGABILITYHIS_FID ON T_HCF_CANLGABILITYHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANPROJECTEXP_L', 'T_HCF_CANPROJECTEXP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPROJECTEXP_L') CREATE INDEX IDX_HCF_CANPROJECTEXP_L ON T_HCF_CANPROJECTEXP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANPROJECTEXP', 'T_HCF_CANPROJECTEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPROJECTEXP_FID') CREATE INDEX IDX_HCF_CANPROJECTEXP_FID ON T_HCF_CANPROJECTEXP ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANPROJECTEXPHIS_H', 'T_HCF_CANPROJECTEXPHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPROJECTEXPHIS_H') CREATE INDEX IDX_HCF_CANPROJECTEXPHIS_H ON T_HCF_CANPROJECTEXPHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANPROJECTEXPHIS_L', 'T_HCF_CANPROJECTEXPHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPROJECTEXPHIS_L') CREATE INDEX IDX_HCF_CANPROJECTEXPHIS_L ON T_HCF_CANPROJECTEXPHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANPROJECTEXPHIS', 'T_HCF_CANPROJECTEXPHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPROJECTEXPHIS_FID') CREATE INDEX IDX_HCF_CANPROJECTEXPHIS_FID ON T_HCF_CANPROJECTEXPHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANPREWORK_L', 'T_HCF_CANPREWORK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPREWORK_L') CREATE INDEX IDX_HCF_CANPREWORK_L ON T_HCF_CANPREWORK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANPREWORK', 'T_HCF_CANPREWORK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPREWORK_FID') CREATE INDEX IDX_HCF_CANPREWORK_FID ON T_HCF_CANPREWORK ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANPREWORKHIS_H', 'T_HCF_CANPREWORKHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPREWORKHIS_H') CREATE INDEX IDX_HCF_CANPREWORKHIS_H ON T_HCF_CANPREWORKHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANPREWORKHIS_L', 'T_HCF_CANPREWORKHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPREWORKHIS_L') CREATE INDEX IDX_HCF_CANPREWORKHIS_L ON T_HCF_CANPREWORKHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANPREWORKHIS', 'T_HCF_CANPREWORKHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPREWORKHIS_FID') CREATE INDEX IDX_HCF_CANPREWORKHIS_FID ON T_HCF_CANPREWORKHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANTRAINING_L', 'T_HCF_CANTRAINING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANTRAINING_L') CREATE INDEX IDX_HCF_CANTRAINING_L ON T_HCF_CANTRAINING_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANTRAINING', 'T_HCF_CANTRAINING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANTRAINING_FID') CREATE INDEX IDX_HCF_CANTRAINING_FID ON T_HCF_CANTRAINING ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANTRAININGHIS_H', 'T_HCF_CANTRAININGHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANTRAININGHIS_H') CREATE INDEX IDX_HCF_CANTRAININGHIS_H ON T_HCF_CANTRAININGHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANTRAININGHIS_L', 'T_HCF_CANTRAININGHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANTRAININGHIS_L') CREATE INDEX IDX_HCF_CANTRAININGHIS_L ON T_HCF_CANTRAININGHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANTRAININGHIS', 'T_HCF_CANTRAININGHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANTRAININGHIS_FID') CREATE INDEX IDX_HCF_CANTRAININGHIS_FID ON T_HCF_CANTRAININGHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANCONTACTINFO_L', 'T_HCF_CANCONTACTINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCONTACTINFO_L') CREATE INDEX IDX_HCF_CANCONTACTINFO_L ON T_HCF_CANCONTACTINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANCONTACTINFO', 'T_HCF_CANCONTACTINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCONTACTINFO_FID') CREATE INDEX IDX_HCF_CANCONTACTINFO_FID ON T_HCF_CANCONTACTINFO ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANCONTACTINFOHIS_H', 'T_HCF_CANCONTACTINFOHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCONTACTINFOHIS_H') CREATE INDEX IDX_HCF_CANCONTACTINFOHIS_H ON T_HCF_CANCONTACTINFOHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANCONTACTINFOHIS_L', 'T_HCF_CANCONTACTINFOHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCONTACTINFOHIS_L') CREATE INDEX IDX_HCF_CANCONTACTINFOHIS_L ON T_HCF_CANCONTACTINFOHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANCONTACTINFOHIS', 'T_HCF_CANCONTACTINFOHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCONTACTINFOHIS_FID') CREATE INDEX IDX_HCF_CANCONTACTINFOHIS_FID ON T_HCF_CANCONTACTINFOHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANCONTACT_L', 'T_HCF_CANCONTACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCONTACT_L') CREATE INDEX IDX_HCF_CANCONTACT_L ON T_HCF_CANCONTACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANCONTACT', 'T_HCF_CANCONTACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCONTACT_FID') CREATE INDEX IDX_HCF_CANCONTACT_FID ON T_HCF_CANCONTACT ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANCONTACTHIS_H', 'T_HCF_CANCONTACTHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCONTACTHIS_H') CREATE INDEX IDX_HCF_CANCONTACTHIS_H ON T_HCF_CANCONTACTHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANCONTACTHIS_L', 'T_HCF_CANCONTACTHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCONTACTHIS_L') CREATE INDEX IDX_HCF_CANCONTACTHIS_L ON T_HCF_CANCONTACTHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANCONTACTHIS', 'T_HCF_CANCONTACTHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANCONTACTHIS_FID') CREATE INDEX IDX_HCF_CANCONTACTHIS_FID ON T_HCF_CANCONTACTHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANFAMILY_L', 'T_HCF_CANFAMILY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANFAMILY_L') CREATE INDEX IDX_HCF_CANFAMILY_L ON T_HCF_CANFAMILY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANEDUEXPHIS_L', 'T_HCF_CANEDUEXPHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANEDUEXPHIS_L') CREATE INDEX IDX_HCF_CANEDUEXPHIS_L ON T_HCF_CANEDUEXPHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANEDUEXPHIS_H', 'T_HCF_CANEDUEXPHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANEDUEXPHIS_H') CREATE INDEX IDX_HCF_CANEDUEXPHIS_H ON T_HCF_CANEDUEXPHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANEDUEXPHIS', 'T_HCF_CANEDUEXPHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANEDUEXPHIS') CREATE INDEX IDX_HCF_CANEDUEXPHIS ON T_HCF_CANEDUEXPHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANEDUEXP_L', 'T_HCF_CANEDUEXP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANEDUEXP_L') CREATE INDEX IDX_HCF_CANEDUEXP_L ON T_HCF_CANEDUEXP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANEDUEXP', 'T_HCF_CANEDUEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANEDUEXP_PER') CREATE INDEX IDX_HCF_CANEDUEXP_PER ON T_HCF_CANEDUEXP ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANFAMILY', 'T_HCF_CANFAMILY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANFAMILY_FID') CREATE INDEX IDX_HCF_CANFAMILY_FID ON T_HCF_CANFAMILY ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_CANFAMILYHIS_H', 'T_HCF_CANFAMILYHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANFAMILYHIS_H') CREATE INDEX IDX_HCF_CANFAMILYHIS_H ON T_HCF_CANFAMILYHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANFAMILYHIS_L', 'T_HCF_CANFAMILYHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANFAMILYHIS_L') CREATE INDEX IDX_HCF_CANFAMILYHIS_L ON T_HCF_CANFAMILYHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANFAMILYHIS', 'T_HCF_CANFAMILYHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANFAMILYHIS_FID') CREATE INDEX IDX_HCF_CANFAMILYHIS_FID ON T_HCF_CANFAMILYHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANDIDATEHIS_H', 'T_HCF_CANDIDATEHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANDIDATEHIS_H') CREATE INDEX IDX_HCF_CANDIDATEHIS_H ON T_HCF_CANDIDATEHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_CANDIDATEHIS_L', 'T_HCF_CANDIDATEHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANDIDATEHIS_L') CREATE INDEX IDX_HCF_CANDIDATEHIS_L ON T_HCF_CANDIDATEHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANDIDATEHIS', 'T_HCF_CANDIDATEHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANDIDATEHIS_FID') CREATE INDEX IDX_HCF_CANDIDATEHIS_FID ON T_HCF_CANDIDATEHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_CANDIDATE_L', 'T_HCF_CANDIDATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANDIDATE_L') CREATE INDEX IDX_HCF_CANDIDATE_L ON T_HCF_CANDIDATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_CANDIDATE', 'T_HCF_CANDIDATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANDIDATE_FNAME') CREATE INDEX IDX_HCF_CANDIDATE_FNAME ON T_HCF_CANDIDATE ( FNAME );


 EXEC P_ALTERPK 'PK_HCF_CANEDUEXP_A', 'T_HCF_CANEDUEXP_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANEDUEXP_A_FID') CREATE INDEX IDX_HCF_CANEDUEXP_A_FID ON T_HCF_CANEDUEXP_A ( FEDUCATIONFORMID );


 EXEC P_ALTERPK 'PK_HCF_CANFAMILY_A', 'T_HCF_CANFAMILY_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANFAMILY_A_FID') CREATE INDEX IDX_HCF_CANFAMILY_A_FID ON T_HCF_CANFAMILY_A ( FISOURSTAFF );


 EXEC P_ALTERPK 'PK_HCF_CANPREWORK_A', 'T_HCF_CANPREWORK_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_CANPREWORK_A_FID') CREATE INDEX IDX_HCF_CANPREWORK_A_FID ON T_HCF_CANPREWORK_A ( FISRECWORK );


 EXEC P_ALTERPK 'PK_HCF_BUSINESS', 'T_HCF_BUSINESS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_BUSINESS_FID') CREATE INDEX IDX_HCF_BUSINESS_FID ON T_HCF_BUSINESS ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_RSMHOBBY', 'T_HCF_RSMHOBBY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMHOBBY_FID') CREATE INDEX IDX_HCF_RSMHOBBY_FID ON T_HCF_RSMHOBBY ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_RSMPROSKL', 'T_HCF_RSMPROSKL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMPROSKL_FID') CREATE INDEX IDX_HCF_RSMPROSKL_FID ON T_HCF_RSMPROSKL ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_RSMAWRHON', 'T_HCF_RSMAWRHON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMAWRHON_FID') CREATE INDEX IDX_HCF_RSMAWRHON_FID ON T_HCF_RSMAWRHON ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_RSMPATINV', 'T_HCF_RSMPATINV', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMPATINV_FID') CREATE INDEX IDX_HCF_RSMPATINV_FID ON T_HCF_RSMPATINV ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_RSMVOLEXP', 'T_HCF_RSMVOLEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMVOLEXP_FID') CREATE INDEX IDX_HCF_RSMVOLEXP_FID ON T_HCF_RSMVOLEXP ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_RSMSCHJOB', 'T_HCF_RSMSCHJOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMSCHJOB_FID') CREATE INDEX IDX_HCF_RSMSCHJOB_FID ON T_HCF_RSMSCHJOB ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_RSMINTEREXP', 'T_HCF_RSMINTEREXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMINTEREXP_FID') CREATE INDEX IDX_HCF_RSMINTEREXP_FID ON T_HCF_RSMINTEREXP ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_RSMACDACHV', 'T_HCF_RSMACDACHV', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMACDACHV_FID') CREATE INDEX IDX_HCF_RSMACDACHV_FID ON T_HCF_RSMACDACHV ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_PERSONALAREA', 'T_HCF_PERSONALAREA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_PERSONALAREA_FID') CREATE INDEX IDX_HCF_PERSONALAREA_FID ON T_HCF_PERSONALAREA ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_HCF_BUSINESSHIS', 'T_HCF_BUSINESSHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_BUSINESSHIS_FID') CREATE INDEX IDX_HCF_BUSINESSHIS_FID ON T_HCF_BUSINESSHIS ( FID );


 EXEC P_ALTERPK 'PK_HCF_BUSINESSHIS_H', 'T_HCF_BUSINESSHIS_H', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_BUSINESSHIS_H') CREATE INDEX IDX_HCF_BUSINESSHIS_H ON T_HCF_BUSINESSHIS_H ( FDATASTATUS );


 EXEC P_ALTERPK 'PK_HCF_BUSINESS_L', 'T_HCF_BUSINESS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_BUSINESS_L') CREATE INDEX IDX_HCF_BUSINESS_L ON T_HCF_BUSINESS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_BUSINESSHIS_L', 'T_HCF_BUSINESSHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_BUSINESSHIS_L') CREATE INDEX IDX_HCF_BUSINESSHIS_L ON T_HCF_BUSINESSHIS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_EDUCERTIFICATE', 'T_HCF_EDUCERTIFICATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_EDUCERTIFICATE_FEDUID') CREATE INDEX IDX_HCF_EDUCERTIFICATE_FEDUID ON T_HCF_EDUCERTIFICATE ( FEDUID );


 EXEC P_ALTERPK 'PK_HCF_PERSONALAREA_L', 'T_HCF_PERSONALAREA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_PERSONALAREA_L') CREATE INDEX IDX_HCF_PERSONALAREA_L ON T_HCF_PERSONALAREA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_RSMACDACHV_L', 'T_HCF_RSMACDACHV_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMACDACHV_L') CREATE INDEX IDX_HCF_RSMACDACHV_L ON T_HCF_RSMACDACHV_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_RSMSCHJOB_L', 'T_HCF_RSMSCHJOB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMSCHJOB_L') CREATE INDEX IDX_HCF_RSMSCHJOB_L ON T_HCF_RSMSCHJOB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_RSMAWRHON_L', 'T_HCF_RSMAWRHON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMAWRHON_L') CREATE INDEX IDX_HCF_RSMAWRHON_L ON T_HCF_RSMAWRHON_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_RSMHOBBY_L', 'T_HCF_RSMHOBBY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMHOBBY_L') CREATE INDEX IDX_HCF_RSMHOBBY_L ON T_HCF_RSMHOBBY_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_RSMINTEREXP_L', 'T_HCF_RSMINTEREXP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMINTEREXP_L') CREATE INDEX IDX_HCF_RSMINTEREXP_L ON T_HCF_RSMINTEREXP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_RSMPATINV_L', 'T_HCF_RSMPATINV_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMPATINV_L') CREATE INDEX IDX_HCF_RSMPATINV_L ON T_HCF_RSMPATINV_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_RSMPROSKL_L', 'T_HCF_RSMPROSKL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMPROSKL_L') CREATE INDEX IDX_HCF_RSMPROSKL_L ON T_HCF_RSMPROSKL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCF_RSMVOLEXP_L', 'T_HCF_RSMVOLEXP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCF_RSMVOLEXP_L') CREATE INDEX IDX_HCF_RSMVOLEXP_L ON T_HCF_RSMVOLEXP_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\HCF_constraint.sql **/
